package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxLogicalSwitchModel;

/**
 * nsx逻辑交换机接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月24日
 */
public interface LogicalSwitchProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxLogicalSwitchModel model);

    BocloudResult remove(String switchId);

    BocloudResult detail(String switchId);

    BocloudResult update(NsxLogicalSwitchModel model);
}
